Bug 1388336 - VMware import, username with '.' not accepted
Summary: VMware import, username with '.' not accepted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.Core
Version: 4.0.3
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Sharon Gratch
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks: 1496744
TreeView+ depends on / blocked
 
Reported: 2016-10-25 07:06 UTC by Martijn Grendelman
Modified: 2017-12-21 05:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The username field validation logic within the 'Import Virtual Machine(s)' dialog for VMware source (v2v) didn't allow dot(s) within the name and didn't allow domainName\userName format (only userName@domainName format was supported). Consequence: Users trying to import an external VM from VMware vCenter server with logging user name that includes dot(s) or/and that appears in domainName\userName Windows format couldn't set this value to the username field in 'Import Virtual Machine(s)' dialog because validation error appeared. Fix: The following formats are now allowed in username field: username (can contain 'A-Z', 'a-z', '0-9', '_', '.' or '-' characters), userName@domainName domainName\userName
Clone Of:
Environment:
Last Closed: 2017-12-20 10:58:06 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+
rule-engine: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
Screenshot showing the problem (23.25 KB, image/png)
2016-10-25 07:06 UTC, Martijn Grendelman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 83494 0 master MERGED webadmin: v2v-VMware's username validation changed to allow dot and domain\user format 2017-11-03 13:05:40 UTC

Description Martijn Grendelman 2016-10-25 07:06:33 UTC
Created attachment 1213726 [details]
Screenshot showing the problem

Description of problem:

I'm trying to import a VM from VMware. On the "Import Virtual
Machine(s)" screen, my VCenter username is not accepted, because "Name
can only contain 'A-Z', 'a-z', '0-9', '_' or '-' characters" and it
contains a '.'. I would think a '.' in the username should be OK.

Comment 1 Sharon Gratch 2017-11-05 11:45:13 UTC
In addition to allowing dots within the user name, this bug fix also added a support for the following user name format: domainName\userName.

Details:
Till this fix the following formats were allowed in username field: 
username, 
userName@domainName

In this bug fix we also allow the following format for Windows, since it may be used by customers as shown in screenshot of BZ 1496744.: 
domainName\userName

Comment 2 Nisim Simsolo 2017-12-11 13:55:21 UTC
Verified: 
rhvm-4.2.0-0.6.el7
qemu-kvm-rhev-2.9.0-16.el7_4.12.x86_64
sanlock-3.5.0-1.el7.x86_64
vdsm-4.20.9-1.el7ev.x86_64
libvirt-client-3.2.0-14.el7_4.4.x86_64
virt-v2v-1.36.3-6.el7_4.3.x86_64
VMware 6.0.0 Build 2594327

Verification scenario:
1. Authenticate to ESXi using SSO user, add SSO domain/user with dots in it and assign global permission to it.
2. Browse webadmin -> VM -> import dialog, enter VMware details and domainName\userName (in my case the domain\user created is: qa.compute@vsphere.local), select VM to import and import it.
3. Verify VM imported and can be run properly.
4. Repeat test case for Windows and Linux VMs.

Comment 3 Sandro Bonazzola 2017-12-20 10:58:06 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.